Subject: Storing herbs

From: [email-masked] (Gale McCready)
Date: 28 Jan 1996 18:02:32 GMT

I pickuped some herbs a few months ago to mix for a tea for colds.

So far (knock wood) I have not needed them.  My question is.  They are 
still in the bags I got them in, would it be better to mix as required 
and then frezze for future use, or to just leave them as they are.  They 
are out of the light and in a fairly not too warm not too cool place.

Thanks to the help.

Gale